[pymor-dev] Using pyMOR on Mac

René Milk rene.milk at wwu.de
Thu Oct 19 09:35:25 CEST 2017


On Wed, 2017-10-18 at 16:50 -0700, Jessie Lauzon wrote:
> Hello pyMOR dev team,
> 
> I'm researching model order reduction and in the future will couple SU2 (a
> PDE solver developed in lab) with pyMOR. However, I recently switched from
> Ubuntu to a Mac development environment and I'm having issues with the
> visualization part of pyMOR codes. Specifically, I cannot install PySide
> because it requires Qt versions 4.6-4.8, which are unsupported for my
> version of Mac. Do you know if anyone has found a workaround for this?
> 
> I'm running on a Mac OS Sierra (10.12.6).
> 
> Thank you,
> 
> Jessie Lauzon
> PhD Candidate | Stanford University
> Aerospace Design Lab
> jlauzon at stanford.edu
> _______________________________________________
> pymor-dev mailing list
> pymor-dev at listserv.uni-muenster.de
> https://listserv.uni-muenster.de/mailman/listinfo/pymor-dev

Hi Jessie,

if you're running with Python >= 3.5 you can use PyQt5 instead of PySide. We
have a shim in place that abstracts using either pySide or PyQt5.
There should even be python wheels available of PyQt5 for your system. 

If you cannot use Python 3.5 or later for some reason, I don't see a way other
than installing your own Qt build and getting pySide to use that. Maybe with
homebrew? But I'm no Mac user myself.

Cheers,
René

-- 
--------------------------------------------------
 Dipl.-Math. René Milk
 University of Münster
 Institute for Applied Mathematics
 Orleans-Ring 10, R. 120.012
 48149 Münster               Tel. +49 251 83-35131
 Germany
--------------------------------------------------
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 801 bytes
Desc: This is a digitally signed message part
Url : http://listserv.uni-muenster.de/pipermail/pymor-dev/attachments/20171019/01b95f3a/attachment.bin 


More information about the pymor-dev mailing list